Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.filter
Class ExclusionFilterServiceImpl

    java.lang.Object
      com.sun.mdm.index.filter.ExclusionFilterServiceImpl

All Implemented Interfaces:
  ExclusionFilterService

public class ExclusionFilterServiceImpl
extends java.lang.Object
implements ExclusionFilterService

The ExclusionFilterServiceImpl is the implementation of the ExclusionFilterService service which will contain the primary functions of the exclusion filters.

Field Summary
`(package private) ExclusionListLookup` | `lookup`

Constructor Summary
`ExclusionFilterServiceImpl()` Creates a new instance of ExclusionFilterService

Method Summary
`ObjectNode` | `blockingExclusion(ObjectNode objectToBlock)` This method checks the data available for the blocking process is present in the exclusion list.
`ObjectNode` | `exclusionMatchField(ObjectNode objToMatch)` This method checks the data available for the matching process is present in the exclusion list.
`SystemFieldListMap` | `exclusionSystemFieldList(SystemFieldListMap sysFields, java.lang.String candidateId)` This method checks the data available for the SBR calculation is present in the exclusion list.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### lookup

    ExclusionListLookup lookup

Constructor Detail

### ExclusionFilterServiceImpl

    public ExclusionFilterServiceImpl()

  Creates a new instance of ExclusionFilterService

Method Detail

### blockingExclusion

    public ObjectNode blockingExclusion(ObjectNode objectToBlock)

  This method checks the data available for the blocking process is present in the exclusion list. If it is present in the exclusion list then ignore that field for the Blocking queries.

  Specified by:
    `blockingExclusion` in interface `ExclusionFilterService`
  Returns:
    ObjectNode.
  Throws:
    `ObjectException` - and EPathException.

### exclusionMatchField

    public ObjectNode exclusionMatchField(ObjectNode objToMatch)

  This method checks the data available for the matching process is present in the exclusion list. If it is present in the exclusion list then ignore that field for the Match process.

  Specified by:
    `exclusionMatchField` in interface `ExclusionFilterService`
  Returns:
    ObjectNode.
  Throws:
    `ObjectException` - and EPathException.

### exclusionSystemFieldList

    public SystemFieldListMap exclusionSystemFieldList(SystemFieldListMap sysFields,
                                                       java.lang.String candidateId)

  This method checks the data available for the SBR calculation is present in the exclusion list. If it is present in the exclusion list then ignore that SystemField for the survivor calculation.

  Specified by:
    `exclusionSystemFieldList` in interface `ExclusionFilterService`
  Parameters:
    `candidateId` - The field for the SBR calculation.
  Returns:
    SystemFieldListMap.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.